html {
	height: 100%;
}

body {
	height: 100%;
	position: relative;
	font-family: $default-font;
	font-size: $default-font-size;
	font-weight: $default-font-weight;
	font-style: $default-font-style;
	line-height: $default-line-height;
	color: $default-text-color;
	background-color: $body-bg;
	min-width: 320px;
}

.layout {
	overflow: hidden;
	min-height: 100vh;
	display: flex;
	flex-direction: column;
	justify-content: space-between;

	.container {
		@media #{$xs-min} {
			max-width: 100%;
		}

		@media #{$lg-min} {
			max-width: 1140px;
		}
	}
}

.open-menu {
	overflow: hidden;
}

.grid {
	position: absolute;
	left: 0;
	top: 0;
	height: 100%;
	width: 100%;

	.border-block {
		position: relative;
		border-left: 1px solid $default-border-color;
		border-right: 1px solid $default-border-color;

		&:before {
			content: '';
			height: 100%;
			width: 1px;
			background: $default-border-color;
			position: absolute;
			left: 50%;
			top: 0;
			transform: translate(-50%);
		}
	}
}
